.TH MDAG 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mDAG \- Create a Directed Acyclic Graph (DAG) for Pegasus

.SH SYNOPSIS

mDAG survey band objstr width height cdelt
workdir workurlbase [urlbase]



mDAG \-h survey band hdrfile workdir workurlbase [urlbase]


.SH DESCRIPTION

mDAG creates an XML-based Directed Acyclic Graph (DAG) that specifies  "jobs"
or Montage modules to be run to produce a mosaic,  "files" to be
consumed or generated during processing (input, intermediate, and output
files), and "dependencies" between jobs and files that imply an order
in which jobs should be run.  In this "abstract graph", logical names are
assigned to jobs and files.  The abstract graph is intended to be an input
to a job scheduler, such as Pegasus in the Chimera Virtual Data System.


.SH OPTIONS
.TP
\-h

Output mosaic is based on a header file rather than explicit object name (for location), sizes and scale.


.SH ARGUMENTS
.TP
survey

mDAG has custom code for dealing with surveys (\fIe.g.\fP DSS) where we know
we have to use the slower mProject module rather than mProjectPP.

.TP
band

mDAG also has custom code for the 2MASS survey where Montage scales the data
to a project-specified magnitude zero point by band (J,H,K).

.TP
objstr

Object name, resolved through NED/SIMBAD for sky location.

.TP
width/height

Size of the image in degrees.

.TP
cdelt

Pixel scale in degrees.

.TP
hdrfile

Instead of objstr, width, height, and cdelt the user an provide a pre-built
FITS header.

.TP
workdir

There are a collection of files the processing will need ane which mDAG creates.
The user needs to create a location for this and give it to mDAG.

.TP
workurlbase

While working, some files in the workspace are accessed via URL.  Again, this
needs to be set up by the user beforehand.

.TP
urlbase

Optionally, results can be made URL-accessible if this parameter is given.


.SH RESULT

If successful, the workspace will be populated with severeal tables and with
the "dag.xml" file to be given to the workflow manager.


.SH MESSAGES
.TP
ERROR
Error opening debug file
.TP
ERROR
Error opening header template file
.TP
ERROR
Error opening big header template file
.TP
ERROR
Error opening image list
.TP
ERROR
Error opening working file list for write
.TP
ERROR
Error opening working file list for read
.TP
ERROR
Error opening parent list
.TP
ERROR
Error opening sorted parent list
.TP
ERROR
Bad template: \fIfile\fP
.TP
ERROR
Output wcsinit() failed.
.TP
ERROR
\fIgeneral error message\fP
.TP
ERROR
No return message from object lookup.
.TP
ERROR
Invalid location specification or object name.
.TP
ERROR
Can't find RA in lookup return.
.TP
ERROR
Can't find Dec in lookup return.
.TP
ERROR
Couldn't find host \fIhostname\fP
.TP
ERROR
Couldn't create socket()
.TP
ERROR, msg=
\fIhostname\fP: connect failed.

.SH EXAMPLES
.TP
mDAG 2mass j m51 0.5 0.5 0.00277778 m51work http://montage-web.ipac.caltech.edu/workspace/m51
[struct stat="OK", id="20150904_095958_21631"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
